Whilst we’ve been out on our rounds, we’ve noticed that some of you can’t as yet use the drag ‘n’ drop functionality in the New learning Space. This isn’t a major problem, you just need to have a current web browser installed.

With that in mind here’s a list of our recommended browsers for working with the new learning space. You should contact IT if your software or hardware is incompatible with these:

Minimum Browser Requirement:

Safari 5, Internet Explorer 8, Firefox 4, Google Chrome 11

Recommended Browsers:

Safari 6, Internet Explorer 10, Firefox 22, Google Chrome 28

Print Friendly, PDF & Email
Skip to toolbar